Module javafx.controls
Package javafx.scene.control

# Enum SelectionMode

java.lang.Object
java.lang.Enum<SelectionMode>
javafx.scene.control.SelectionMode

All Implemented Interfaces:
  `Serializable`, `Comparable<SelectionMode>`, `Constable`

    public enum SelectionMode
    extends Enum<SelectionMode>

An enumeration used to specify how many items may be selected in a `MultipleSelectionModel`.

Since:
  JavaFX 2.0
See Also:
  `SelectionModel`, `MultipleSelectionModel`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `MULTIPLE` | Allows for one or more contiguous range of indices to be selected at a time.
  `SINGLE` | Allows for only one item to be selected at a time.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static SelectionMode` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static SelectionMode[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SINGLE

    public static final SelectionMode SINGLE
    Allows for only one item to be selected at a time.

  - ### MULTIPLE

    public static final SelectionMode MULTIPLE
    Allows for one or more contiguous range of indices to be selected at a time.

- ## Method Details

  - ### values

    public static SelectionMode[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SelectionMode valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null